Skip to content

IPTV ​

6 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getIgmpGETGet the IGMP settings
modifyIgmpPUTModify the IGMP settings
getIptvGETGet IPTV setting
modifyIptvPUTModify IPTV setting
getMldGETGet the MLD settings
modifyMldPUTModify the MLD settings

getIgmp ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/igmp

Get the IGMP settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getIgmp",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the IGMP settings of the site with the given Omada ID and Site ID.
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

modifyIgmp ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/service/igmp

Modify the IGMP settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IgmpOpenApiVO

FieldTypeRequiredDescription
enablebooleanyes
versionintegeryesVersion should be one of the following values: 2:v2; 3:v3.
wanPortIdstringnoWAN port ID, can be obtained from 'Get internet basic info' interface. At least one of the WAN Port IDs or Virtual WAN Port IDs should not be null.
virtualWanIdstringnoVirtual WAN ID, can be obtained from 'Query virtual WAN list' interface. At least one of the WAN Port IDs or Virtual WAN Port IDs should not be null.
featureDescriptionarray<FeatureInfoVO>noGateway Feature Description.
json
// omada_call_operation
{
  "operationId": "modifyIgmp",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify the IGMP settings of the site with the given parameters.
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.

getIptv ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/iptv

Get IPTV setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getIptv",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get IPTV setting of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

modifyIptv ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/service/iptv

Modify IPTV setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IptvConfigOpenApiVO

FieldTypeRequiredDescription
enablebooleanyes
wanPortIdstringyesWAN port ID can be obtained from 'Get internet basic info' interface.
modeintegeryesMode should be a value as follows: 0:Bridge; 1:Custom
customConfigIptvCustomOpenApiVOno(IptvCustomOpenApiVO not expanded; call omada_get_schema "IptvCustomOpenApiVO")
portConfigarray<IptvPortConfigOpenApiVO>yesAll available ports need to be configured. The list of port ID is the same as that returned by "Get IPTV setting"
dslConfigIptvDslOpenApiVOno(IptvDslOpenApiVO not expanded; call omada_get_schema "IptvDslOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyIptv",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IPTV setting info of the site with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33501 - This VLAN ID is already used by the WAN interface.
-34517 - This VLAN ID is already used by the LAN interface.
-34518 - This VLAN ID is already used by the IPTV interface.
-34519 - At least one Internet port is required.

getMld ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/mld

Get the MLD settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getMld",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the MLD settings of the site with the given Omada ID and Site ID.
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

modifyMld ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/service/mld

Modify the MLD settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MldOpenApiVO

FieldTypeRequiredDescription
enablebooleanyes
versionintegeryesVersion should be one of the following values: 1: v1; 2: v2.
wanPortIdstringnoWAN port ID can be obtained from 'Get internet basic info' interface. At least one of the WAN Port IDs should not be null. Only IPv6-enabled WAN ports can be selected as MLD Interface. MLD does not support the 6to4 Tunnel and Pass-Through(Bridge) IPv6 dial-up modes.
featureDescriptionarray<FeatureInfoVO>noGateway Feature Description.
json
// omada_call_operation
{
  "operationId": "modifyMld",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify the MLD settings of the site with the given parameters.
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
-33477 - Only IPv6-enabled WAN ports can be selected as MLD Interface.
-33478 - MLD does not support the 6to4 Tunnel and Pass-Through(Bridge) IPv6 dial-up modes.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.